<?php
/**
 * Footer Options.
 *
 * @package Dhor
 */

// Footer Section.
$wp_customize->add_section( 'section_footer',
	array(
		'title'      => esc_html__( 'Footer', 'dhor' ),
		'priority'   => 100,
		'panel'      => 'theme_option_panel',
	)
);

// Setting enable_back_to_top.
$wp_customize->add_setting( 'theme_options[enable_back_to_top]',
	array(
		'default'           => $default['enable_back_to_top'],
		'sanitize_callback' => 'dhor_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[enable_back_to_top]',
	array(
		'label'    			=> esc_html__( 'Enable Back to Top', 'dhor' ),
		'section'  			=> 'section_footer',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting copyright_text.
$wp_customize->add_setting( 'theme_options[copyright_text]',
	array(
		'default'           => $default['copyright_text'],
		'sanitize_callback' => 'dhor_sanitize_textarea',
	)
);
$wp_customize->add_control( 'theme_options[copyright_text]',
	array(
		'label'    => esc_html__( 'Copyright Text', 'dhor' ),
		'section'  => 'section_footer',
		'type'     => 'textarea',
		'priority' => 100,
	)
);
