<?php

//add admin page
add_action( 'admin_menu', 'dhor_admin_menu' );

function dhor_admin_menu() {
	add_theme_page(
        __( 'About Dhor', 'dhor' ),
        __( 'About Dhor', 'dhor' ),
        'edit_theme_options',
        'about-dhor',
        'dhor_theme_info_page'
    );
}

function dhor_theme_info_page(){

	if ( ! current_user_can( 'manage_options' ) ) {
		wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'dhor' ) );
	}

	$theme_info = wp_get_theme(); ?>

	<div class="wrap about-wrap theme-info-wrap">
		<h1>
			<?php
			/* translators: 1: Theme Name 2: Version of the theme */
			echo sprintf( esc_html__( '%1$s - %2$s', 'dhor' ), esc_html( $theme_info->get( 'Name' ) ), esc_html( $theme_info->get( 'Version' ) ) );
			?>
		</h1>

		<p>
			<a href="https://dandure.com/dhor/" class="button button-primary" target="_blank"><?php echo esc_html__( ' View Demos', 'dhor' ); ?></a>
			<a href="https://dandure.com/documentation/dhor/" class="button" target="_blank"><?php echo esc_html__( 'Documentation', 'dhor' ); ?></a>
			<a href="https://wordpress.org/support/theme/dhor/" class="button" target="_blank"><?php echo esc_html__( 'Support', 'dhor' ); ?></a>
			<a href="https://wordpress.org/support/theme/dhor/reviews/" class="button" target="_blank"><?php echo esc_html__( 'Leave a Review', 'dhor' ); ?></a>
		</p>

		<div class="feature-section has-2-columns alignleft">
			<div class="card">
				<h3><?php echo esc_html__( 'Customize Everything', 'dhor' ); ?></h3>
				<p><?php echo esc_html__( 'Start customizing every aspect of the website with customizer.', 'dhor' ); ?></p>
				<p><a target="_self" href="<?php echo esc_url( wp_customize_url() ); ?>" class="button button-primary"><?php echo esc_html__( 'Go to Customizer', 'dhor' ); ?></a></p>
			</div>

			<div class="card">
				<h3><?php echo esc_html__( 'Themes by WP Hait', 'dhor' ); ?></h3>
				<ol>
					<li><a href="https://wordpress.org/themes/nari/" target="_blank"><?php echo esc_html__( 'Nari - Feminine WordPress Blog Theme', 'dhor' ); ?></a></li>
					<li><a href="https://wordpress.org/themes/dhor/" target="_blank"><?php echo esc_html__( 'Dhor - Minimal WordPress Blog Theme', 'dhor' ); ?></a></li>
					<li><a href="https://wordpress.org/themes/hait/" target="_blank"><?php echo esc_html__( 'Hait - Multipurpose WordPress Blog Theme', 'dhor' ); ?></a></li>

				</ol>
			</div>

			<div class="card">
				<h3><?php echo esc_html__( 'Recommended Plugins', 'dhor' ); ?></h3>
				<ol>
					<li><a href="https://wordpress.org/plugins/advanced-google-recaptcha/" target="_blank"><?php echo esc_html__( 'Advanced Google reCAPTCHA', 'dhor' ); ?></a></li>
					<li><a href="https://wordpress.org/plugins/woocommerce-product-tabs/" target="_blank"><?php echo esc_html__( 'WooCommerce Product Tabs', 'dhor' ); ?></a></li>
					<li><a href="https://wordpress.org/plugins/post-grid-elementor-addon/" target="_blank"><?php echo esc_html__( 'Post Grid Elementor Addon', 'dhor' ); ?></a></li>
					<li><a href="https://wordpress.org/plugins/nifty-coming-soon-and-under-construction-page/" target="_blank"><?php echo esc_html__( 'Coming Soon & Maintenance Mode Page', 'dhor' ); ?></a></li>
				</ol>
			</div>

			<div class="card">
				<h3><?php echo esc_html__( 'Customize Dashboard', 'dhor' ); ?></h3>
				<p><?php echo esc_html__( 'Customize wp-admin interface of your website.', 'dhor' ); ?></p>
				<ul>
					<li><a href="https://wordpress.org/plugins/admin-customizer/" target="_blank"><?php echo esc_html__( 'Admin Customizer', 'dhor' ); ?></a></li>
				</ul>
			</div>
		</div>

	</div>
	<?php
}
